## libv8-3.14 3.14.5.8

=== debian/changelog ===
libv8-3.14 (3.14.5.8-11ubuntu1) artful; urgency=medium

  * Avoid FTBFS by building with -O2 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 25 Apr 2017 10:38:31 +0200

libv8-3.14 (3.14.5.8-11) unstable; urgency=medium

  [ Balint Reczey ]
  * Fix FTBFS due to this == NULL tests (Closes: #831161)
  * Increase stack size for failing test to make it pass
  * Fix test failures by disabling optimizations (Closes: #812304)
  * Use -fno-delete-null-pointer-checks C++ flag instead of disabling all optimizations
  * Add support for powerpc, ppc and ppc64el platform merging patch from Ubuntu
    (Closes: #760994)
  * Target default mips variant instead of loongson to fix FTBFS (Closes: #798590)
  * Sync d/control and d/control.in
  * Keep old ABI to prevent symbol changes due to libcxx11 (GCC 5) transition

  [ Peter Michael Green ]
  * Add Raspbian support to configuration logic (Closes: #749288)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 10 Jan 2017 15:26:12 +0100

libv8-3.14 (3.14.5.8-10) unstable; urgency=medium

  [ Balint Reczey ]
  * State lack of security support in Jessie (Closes: #775715)

  [ Jérémy Lal ]
  * Add v8::String::REPLACE_INVALID_UTF8 = 0 as a workaround for nodejs
    addons.
  * Patch to fix strict overflow gcc5 errors (Closes: #789446)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Aug 2015 21:25:02 +0200

libv8-3.14 (3.14.5.8-9) unstable; urgency=medium

  [ Jean Baptiste Favre ]
  * Add patch for CVE-2014-5256 (Closes: #760385)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 24 Nov 2014 20:28:53 +0100

libv8-3.14 (3.14.5.8-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add README.Debian.security documenting the lack of security support for
    this package for jessie (closes: #775715).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 13 Feb 2015 05:59:08 +0000

libv8-3.14 (3.14.5.8-8) unstable; urgency=medium

  * Add 0004_hurd.patch, add Architecture: hurd-i386.
    Thanks to Svante Signell (Closes: #747246).

 -- Jérémy Lal <kapouer@melix.org>  Tue, 06 May 2014 21:35:20 +0200

libv8-3.14 (3.14.5.8-7) unstable; urgency=medium

  * Refresh 0002_mips patch
  * 0003_armv4t_disable_vfp.patch: disable runtime detection of
    armel vfpv3 capabilities, it is incompatible with compilation
    options for armel support.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Apr 2014 00:51:07 +0200

libv8-3.14 (3.14.5.8-6) unstable; urgency=medium

  * Standards-Version 3.9.5
  * Add support for mips architecture (Closes: #736332):
    + upstream v8m-rb backported mips support to v8-3.14 branch
    + apply v8 upstream upstream fixes to mips arch
    + target loongson variant

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Apr 2014 01:14:16 +0200

libv8-3.14 (3.14.5.8-5) unstable; urgency=medium

  * Import backport of upstream fix for CVE-2013-6639 and
    CVE-2013-6640.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Dec 2013 00:24:18 +0100

libv8-3.14 (3.14.5.8-4) unstable; urgency=low

  [ Jérémy Lal ]
  * Patch: 0013_gcc_48_compat, closes: bug#701312.
  * Allow Build-Dependency on latest libv8 branch version or on a
    specific branch: libv8-<API>-dev or libv8-dev.
    Ensure switching from one dev package to another works properly.
    Add a specific case for libv8-3.14 (<=3.14.5.8-3).

  [ Jonas Smedegaard ]
  * Tidy long descriptions to talk only about what packages provide,
    not the uses of it.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 22 Jul 2013 10:30:56 +0200

libv8-3.14 (3.14.5.8-3) experimental; urgency=low

  * 0001_kfreebsd.patch: fix tests runner in previous broken patch.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 04 May 2013 23:33:58 +0200

libv8-3.14 (3.14.5.8-2) experimental; urgency=low

  * Fix mipsel build (upstream follows same archs names as debian).
  * 0001_kfreebsd.patch: work around kfreebsd tests runner failure,
    "This platform lacks a functioning sem_open implementation".

 -- Jérémy Lal <kapouer@melix.org>  Wed, 01 May 2013 23:18:05 +0200

libv8-3.14 (3.14.5.8-1) experimental; urgency=low

  [ upstream ]
  * New release.

  [ Jérémy Lal ]
  * Update patches:
    + Update 0001_kfreebsd: Partially fixed upstream.
    + Remove 0013_performance_regression_fix: Applied upstream.
    + Unfuzz patches.
  * Update version numbers in watch file and package names/dependencies
    to reflect curent upstream version.
  * Build-depend unversioned on cdbs: Needed version satisfied in stable
    and oldstable no longer supported.
  * Append CPPFLAGS to CXXFLAGS and export LDFLAGS to let gyp catch
    hardening flags.
    Maybe fixes hardening (see bug#689754).
  * Fix remove all *.pyc files below tools dir.
  * Update copyright file:
    + Extend coverage for main copyright holder with current year.
    + Add tools/testrunner/server/daemon.py (in the Public Domain).

  [ Jonas Smedegaard ]
  * Explicitly mention Public Domain file as such in Copyright field.
  * Have git-import-orig suppress upstream .gitignore file.
  * Drop obsolete "DM-Upload-Allowed" control file field.
  * Update to use anonscm.debian.org URL for Vcs-Git field.
  * Track upstream source via github mirror (not limited-use
    googlecode.com SVN tags).
  * Include CDBS upstream-tarball snippet, and setup get-orig-source
    target.
  * Tidy README.source:
    + Drop obsolete sections.
    + Refer to common CDBS+git-buildpackage praxis.
    + Emphasize explicitly that NMUs can totally ignore control.in.
  * Tidy rules file: Resolve version strings in fewer shell calls.
  * Use versioned source package name, to allow multiple branches to
    coexist: Nodejs often needs more stable release than Chromium.
  * Git-ignore quilt .pc dir.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Mar 2013 03:20:03 +0100

libv8 (3.10.8.16-1) unstable; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Simplify SONAME naming to only first 3 segments of upstream version
    (i.e. skip patch level). Add chapter on reasoning to README.source.

