=== debian/control ===
Source: libv8-3.14
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Balint Reczey <balint@balintreczey.hu>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 gyp
Standards-Version: 3.9.5
Section: libs
Homepage: http://code.google.com/p/v8/
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/libv8.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libv8.git

Package: libv8-dev
Section: libdevel
Architecture: i386 kfreebsd-i386 hurd-i386 amd64 kfreebsd-amd64 armel armhf mipsel mips powerpc ppc64 ppc64el
Depends: libv8-3.14.5 (= ${binary:Version}), ${misc:Depends}
Conflicts: libv8-legacy-dev, libv8-3.14-dev
Replaces: libv8-legacy-dev, libv8-3.14-dev
Description: V8 JavaScript engine - development files for latest branch
 V8 is a high performance JavaScript engine written in C++.  It is used
 in the web browser Chromium.
 .
 This package provide development headers for latest V8 branch.

Package: libv8-3.14-dev
Section: libdevel
Architecture: i386 kfreebsd-i386 hurd-i386 amd64 kfreebsd-amd64 armel armhf mipsel mips powerpc ppc64 ppc64el
Depends: libv8-3.14.5 (= ${binary:Version}), ${misc:Depends}
Provides: libv8-legacy-dev, libv8-dev
Conflicts: libv8-dev
Replaces: libv8-dev
Description: V8 JavaScript engine - development files for 3.14 branch
 V8 is a high performance JavaScript engine written in C++.  It is used
 in the web browser Chromium.
 .
 This package provide development headers for V8 3.14 branch.

Package: libv8-3.14.5
Architecture: i386 kfreebsd-i386 hurd-i386 amd64 kfreebsd-amd64 armel armhf mipsel mips powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: V8 JavaScript engine - runtime library
 V8 is a high performance JavaScript engine written in C++.  It is used
 in the web browser Chromium.
 .
 This package provides the dynamic library for V8.

Package: libv8-3.14-dbg
Priority: extra
Section: debug
Architecture: i386 kfreebsd-i386 hurd-i386 amd64 kfreebsd-amd64 armel armhf mipsel mips powerpc ppc64 ppc64el
Depends: libv8-3.14.5 (= ${binary:Version}), ${misc:Depends}
Description: V8 JavaScript engine - debugging symbols
 V8 is a high performance JavaScript engine written in C++.  It is used
 in the web browser Chromium.
 .
 This package provides the debugging symbols for the library.
